Support » Plugin: (Simply) Guest Author Name » Not compatible with Amp validation

  • Resolved zarboss

    (@zarboss)


    I have problems with your plugin but I think everyone. One problem is that you don’t see the guest author but the biggest problem is that the pages are not amp compatible and give validation errors. This is unthinkable because Amp is becoming an essential protocol.
    The error is: An invalid layout is specified in the AMP HTML tag attributes.
    Best regards
    Paolo

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 23 total)
  • Plugin Author Shoofly Solutions

    (@nomadcoder)

    Thanks for letting me know. I have tested the plugin with AMP before and not been able to duplicate the issue but will look into it again.

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    One important note. The only other person who reported this issue was using the JNews theme. This plugin is not compatible with the JNEws themes or with any themes from this developer.

    Thread Starter zarboss

    (@zarboss)

    ERROR – MANDATORY_ATTR_MISSING

    The mandatory attribute ‘width’ is missing in tag ‘amp-img’.

    https://amp.dev/documentation/components/amp-img/

    Line: 46, column: 2225

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    What theme are you using?

    Thread Starter zarboss

    (@zarboss)

    Publisher

    Thread Starter zarboss

    (@zarboss)

    I will try to explain myself better. If I don’t fill in the guest author field, the errors disappear. The problem arises from the fact that Amp is destined to become essential for mobile

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    Thank you. I will look into it. As this is a premium theme, I do not have access to it for testing.

    This appears to be happening in an author box. Can I ask what you are using for an author box?

    Thread Starter zarboss

    (@zarboss)

    I will try to explain myself better. If I don’t fill in the guest author field, the errors disappear. No Amp validations errors. The problem arises from the fact that Amp is destined to become essential for mobile and on the google index

    Thread Starter zarboss

    (@zarboss)

    I don’t use theme’s amp plugin because there’re many errors. I use https://it.wordpress.org/plugins/accelerated-mobile-pages/

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    This plugin doesn’t actually generate much html code, that’s why knowing what theme is being used is important. Every theme does things differently, so AMP can work perfectly fine with one theme and not with another theme. In this case, it looks like the issue is with the author gravatar image (I can’t think of what other image would be the issue).

    Thread Starter zarboss

    (@zarboss)

    I agree

    Thread Starter zarboss

    (@zarboss)

    However, you should consider that if I use a real author, the gravatar does not return any errors. Also the real author is displayed correctly. I am always talking about Amp and not the normal pages

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    I will take it very seriously.

    In the meantime, could you see if switching to the twenty twenty theme still causes the same error? Do you have a staging site that you can use for testing?

    Thread Starter zarboss

    (@zarboss)

    No I have a localhost. I will try to work on a very small staging copy (I have many files and images) and I will definitely let you know

    Plugin Author Shoofly Solutions

    (@nomadcoder)

    Thank you!

Viewing 15 replies - 1 through 15 (of 23 total)
  • You must be logged in to reply to this topic.